framework:
  messenger:
    # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
    # failure_transport: failed

    reset_on_message: true

    transports:
      # https://symfony.com/doc/current/messenger.html#transport-configuration
      # async: '%env(MESSENGER_TRANSPORT_DSN)%'
      # failed: 'doctrine://default?queue_name=failed'

      async:
        dsn: '%env(MESSENGER_TRANSPORT_DSN)%'
        serializer: XCart\Messenger\Serializer

    routing:
      # Route your messages to the transports
      'XCart\Messenger\Message\SendMail': async
      'XCart\Messenger\Message\ResizeImage': async
      'XCart\Messenger\Message\Import': async
      'XCart\Messenger\Message\Dummy': async
      'XCart\Messenger\Message\LongDummy': async

x_cart:
  transports_data:
    async:
      moduleId: CDev-Core
      description: 'Send mails, resizing images, importing data asynchronously.'
